Libargus API Libargus Camera API

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Member Functions | Static Public Member Functions | Protected Member Functions
Argus::IOutputStreamSettings Class Reference
OutputStreamSettings

Interface that exposes the settings common to all OutputStream types. More...

`#include <Stream.h>`

Inheritance diagram for Argus::IOutputStreamSettings:

List of all members.

## Public Member Functions
virtual Status | setCameraDevice (CameraDevice *device)=0
| Set the camera device to use as the source for this stream.
virtual CameraDevice * | getCameraDevice () const =0

## Static Public Member Functions
static const InterfaceID & | id ()

## Protected Member Functions
| ~IOutputStreamSettings ()
Protected Member Functions inherited from Argus::Interface
| Interface ()
| ~Interface ()

## Detailed Description

Interface that exposes the settings common to all OutputStream types.

Definition at line 91 of file Stream.h.

## Constructor & Destructor Documentation

Argus::IOutputStreamSettings::~IOutputStreamSettings | ( |  | ) |
| inline protected

Definition at line 104 of file Stream.h.

## Member Function Documentation

virtual CameraDevice* Argus::IOutputStreamSettings::getCameraDevice | ( |  | ) | const
| pure virtual

static const InterfaceID& Argus::IOutputStreamSettings::id | ( |  | ) |
| inline static

Definition at line 94 of file Stream.h.

virtual Status Argus::IOutputStreamSettings::setCameraDevice | ( | CameraDevice * | device | ) |
| pure virtual

Set the camera device to use as the source for this stream.

Default value: First available device in the session.

The documentation for this class was generated from the following file:

- include/Argus/Stream.h